
		
/**
 * Arricchimenti standard per il ContentPanel [cpDettaglioCittadino] da registrare nella
 * variabile globale uiEnricherMgr
 */
function initStdEnrichments4CpDettaglioCittadino() {
	var contentPanelName = "cpDettaglioCittadino";
	/// arricchimento per guigen::WidgetsPanel [pCampi]: aggiunta tooltip su label
	var pCampiTips = [
		{id:'tfCognomeLbl', tip:'Inserisci il cognome del cittadino'},
		{id:'tfNomeLbl', tip:'Inserisci il nome del cittadino'},
		{id:'rbSessoLbl', tip:'Seleziona il sesso'},
		{id:'cDataNascitaLbl', tip:'Seleziona la data di nascita'},
		{id:'cbProvinciaNascitaLbl', tip:'Seleziona la provincia di nascita del cittadino'},
		{id:'cbComuneNascitaLbl', tip:'Seleziona il comune di nascita del cittadino'},
		{id:'cbProvinciaResidenzaLbl', tip:'Seleziona la provincia di residenza del cittadino'},
		{id:'cbComuneResidenzaLbl', tip:'Seleziona il comune di residenza del cittadino'},
		{id:'tfRetribuzioneLbl', tip:'Inserisci la retribuzione (senza punti delle migliaia e senza virgola decimale)'}	];
	var addLblTipsToPCampi = function(){uiNRichLib.addTooltipsByIDNRich(pCampiTips)};
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pCampi", addLblTipsToPCampi);
	/// arricchimento di base per guigen::TextField [tfCognome]
	var addBasicEnrichmentToTfCognome =  
		function(){uiNRichLib.basicTextFieldNRich(
			'widg_tfCognome',
			 true, 
			 'java.lang.String', 
			 null)}; 
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pCampi", addBasicEnrichmentToTfCognome);
	/// arricchimento di base per guigen::TextField [tfNome]
	var addBasicEnrichmentToTfNome =  
		function(){uiNRichLib.basicTextFieldNRich(
			'widg_tfNome',
			 false, 
			 'java.lang.String', 
			 null)}; 
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pCampi", addBasicEnrichmentToTfNome);
	/// arricchimento per guigen::Calendar [cDataNascita]: aggiunta datepicker
	var addDateToCDataNascita = function(){uiNRichLib.addDatePickerNRich("widg_cDataNascita", true)};
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pCampi", addDateToCDataNascita);
	/// arricchimento per guigen::ComboBox [cbProvinciaNascita]: autonarrowing
	var addNarrowingToCbProvinciaNascita =  
		function(){uiNRichLib.addComboNarrowingNRich(
			'widg_cbProvinciaNascita',
			 false)}; 
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pCampi", addNarrowingToCbProvinciaNascita);
	

	/// arricchimento per guigen::ComboBox [cbComuneNascita]: autonarrowing
	var addNarrowingToCbComuneNascita =  
		function(){uiNRichLib.addComboNarrowingNRich(
			'widg_cbComuneNascita',
			 false)}; 
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pCampi", addNarrowingToCbComuneNascita);
	

	/// arricchimento per guigen::ComboBox [cbProvinciaResidenza]: autonarrowing
	var addNarrowingToCbProvinciaResidenza =  
		function(){uiNRichLib.addComboNarrowingNRich(
			'widg_cbProvinciaResidenza',
			 false)}; 
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pCampi", addNarrowingToCbProvinciaResidenza);
	

	/// arricchimento per guigen::ComboBox [cbComuneResidenza]: autonarrowing
	var addNarrowingToCbComuneResidenza =  
		function(){uiNRichLib.addComboNarrowingNRich(
			'widg_cbComuneResidenza',
			 false)}; 
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pCampi", addNarrowingToCbComuneResidenza);
	

	/// arricchimento di base per guigen::TextField [tfRetribuzione]
	var addBasicEnrichmentToTfRetribuzione =  
		function(){uiNRichLib.basicTextFieldNRich(
			'widg_tfRetribuzione',
			 false, 
			 'long', 
			 null)}; 
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pCampi", addBasicEnrichmentToTfRetribuzione);
}

/**
 * Arricchimenti custom
 */
function initCustomEnrichments4CpDettaglioCittadino(){
/*PROTECTED REGION ID(R1028908709) ENABLED START*/
	/*
	 * definire e registrare qui eventuali arricchimenti custom, nel formato:
	 * var customEnr_n = function(){
	 *	// codice da eseguire all'applicazione dell'arricchimento
	 * };
	 * String customEnr_fragmentID = p_[id del pannello a cui deve essere associato l'arricchimento];
	 * uiEnricherMgr.registerEnrichment(contentPanelName, customEnr_fragmentID, customEnr_n);
	*/	
/*PROTECTED REGION END*/
}

function initUIStructCpDettaglioCittadino(){
	var contentPanelName = "cpDettaglioCittadino";
	var structure = 
      {
        name: "p_pMainDettaglio", panels: [
        {
          name: "p_pMenu", panels: [
          ]
        }
,        {
          name: "p_pLeft", panels: [
          {
            name: "p_pMenu1", panels: []
          }
          ]
        }
,        {
          name: "p_pDettaglio", panels: [
          {
            name: "p_msgPanelErrori", panels: [
            ]
          }
,          {
            name: "p_pCampi", panels: []
          }
,          {
            name: "p_pPulsanti", panels: []
          }
          ]
        }
        ]
      }
;
	uiEnricherMgr.setPageStructure(contentPanelName, structure);
}

Ext.onReady( function() { 
	
	uiNRichLib.initStateManager();

	initStdEnrichments4CpDettaglioCittadino();
	initCustomEnrichments4CpDettaglioCittadino();
	initUIStructCpDettaglioCittadino();
	uiEnricherMgr.setReady(); 
	uiEnricherMgr.applyAll("cpDettaglioCittadino"); 
}); 

	